#include "adc.h"
#include "master.h"

#include "uart.h"
#include "ToCoNet.h"
#include <utils.h>
#include <string.h>
#include <AppHardwareApi.h>

void vAdcInit()
{
    if (!bAHI_APRegulatorEnabled()) 
    {
        vAHI_ApConfigure(E_AHI_AP_REGULATOR_ENABLE,
                            E_AHI_AP_INT_ENABLE,
                            E_AHI_AP_SAMPLE_2,
                            E_AHI_AP_CLOCKDIV_500KHZ,
                            E_AHI_AP_INTREF);

        // vAHI_ApConfigure(E_AHI_AP_REGULATOR_ENABLE,
        // E_AHI_AP_INT_ENABLE, // DISABLE ɂƃAiO̓df
        // E_AHI_AP_SAMPLE_2, // Tv 2,4,6,8 I\
        // E_AHI_AP_CLOCKDIV_500KHZ, // g 250K/500K/1M/2M
        // E_AHI_AP_INTREF);
        while(!bAHI_APRegulatorEnabled()); // 肷܂ő҂
        vAHI_DoSetPullup(0x0, 0x3); //DO0,1̃vAbvOFFɂ   
    }
}

void AdcStart()
{
    vAHI_AdcEnable(
            E_AHI_ADC_SINGLE_SHOT,
                // E_AHI_ADC_SINGLE_SHOT P̂
                // E_AHI_ADC_CONTINUOUS As
            E_AHI_AP_INPUT_RANGE_2, 
                // E_AHI_AP_INPUT_RANGE_1 (0-1.2V)
                // ܂ E_AHI_AP_INPUT_RANGE_2 (0-2.4V)
            E_AHI_ADC_SRC_ADC_3 
                // E_AHI_ADC_SRC_ADC_1 (ADC1)
                // E_AHI_ADC_SRC_ADC_2 (ADC2)
                // E_AHI_ADC_SRC_ADC_3 (ADC3)
                // E_AHI_ADC_SRC_ADC_4 (ADC4)
                // E_AHI_ADC_SRC_TEMP (x)
                // E_AHI_ADC_SRC_VOLT (d)
            );
    vAHI_AdcStartSample(); // ADCJn
}